package MoneyBooks;

import java.util.TreeMap;

public class ShoppingList extends TreeMap {

    // w̓o^
    public void addShoppingItem(ShoppingForm sform) {
        String itemKey = createItemKey();
        this.put(itemKey, sform);
        sform.setKeyMap(itemKey);
    }

    // w̍XV
    public void updateShoppingItem(ShoppingForm sform) {
        this.remove(sform.getItemKey());
        this.put(sform.getItemKey(), sform);
        sform.setKeyMap(sform.getItemKey());
    }
    
    // wL[̐
    private String createItemKey() {
        return (Long.toHexString(System.currentTimeMillis()));
    }
}
