package MoneyBooks;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

public class ShoppingBusiness {
    private ServletContext     context;  // T[ubgReLXgIuWFNg
    private HttpSession        session;  // ZbVIuWFNg

    // RXgN^
    public ShoppingBusiness(ServletContext context, HttpServletRequest request) {
        this.context = context;
        this.session = request.getSession();
    }


    // ʕ\[h̃Zbg
    public void setViewMode(boolean entry) {
        ShoppingViewCtrl vctl = getShoppingViewCtrl();
        vctl.setViewMode(entry);
        setShoppingViewCtrl(vctl);
    }

    // bZ[W̃Zbg
    public void setMessage(String message) {
        ShoppingViewCtrl vctl = getShoppingViewCtrl();
        vctl.setMessage(message);
        setShoppingViewCtrl(vctl);
    }

    // ʐZbVIuWFNgɃZbg
    private void setShoppingViewCtrl(ShoppingViewCtrl vctl) {
        this.session.setAttribute("ShoppingViewCtrl", vctl);
    }

    // ʐZbVIuWFNg擾݂Ȃꍇ͐
    private ShoppingViewCtrl getShoppingViewCtrl() {
        ShoppingViewCtrl vctl =
            (ShoppingViewCtrl)this.session.getAttribute("ShoppingViewCtrl");
        if (vctl == null) {
            vctl = new ShoppingViewCtrl();
        }
        return vctl;
    }
    
    // w̌
    public void searchShoppingItem(String itemKey) {
        ShoppingList slist = getShoppingList(true);
        ShoppingForm sform = (ShoppingForm)slist.get(itemKey);
        setShoppingItem(sform);
    }

    // wZbVIuWFNgɃZbg
    public void setShoppingItem(ShoppingForm sform) {
        this.session.setAttribute("ShoppingItem", sform);
    }

    // ̍w̐
    public void createShoppingItem() {
        ShoppingForm sform = new ShoppingForm();
        setShoppingItem(sform);
    }

    // w̓o^^XV
    public void updateShoppingItem(ShoppingForm sform) {
        ShoppingList slist = getShoppingList(true);
        if (sform.getItemKey() == null || sform.getItemKey().equals("")) {
            slist.addShoppingItem(sform);
        }
        else {
            slist.updateShoppingItem(sform);
        }
        setShoppingList(slist);
    }
    
    // w񃊃XgT[ubgReLXgIuWFNgɃZbg 
    public void setShoppingList(ShoppingList slist) {
        this.context.setAttribute("ShoppingList", slist);
    }

    // w񃊃XgT[ubgReLXgIuWFNg擾
    //  ݂Ȃꍇɂ́Ctrueݒ肳Ăΐ
    public ShoppingList getShoppingList(boolean bCreate) {
        ShoppingList slist = (ShoppingList)context.getAttribute("ShoppingList");
        if (slist == null) {
            if (bCreate) {
                slist = new ShoppingList();
            }
        }
        return slist;
    }

    // wXXgT[ubgReLXgIuWFNg擾
    //  ݂Ȃꍇ͐
    public void setShopList() {
        String[] shoplist = (String[])this.context.getAttribute("ShopList");
        if (shoplist == null)
        {
            ShopList s = new ShopList();
            shoplist = s.getShopList();
            this.context.setAttribute("ShopList", shoplist);
        }
    }
}
